package com.example.pmulabs.viewModels

import androidx.lifecycle.ViewModel
import androidx.paging.PagingData
import com.example.pmulabs.room.models.Tag
import com.example.pmulabs.room.repository.TagRepository
import kotlinx.coroutines.flow.Flow

class TagItemViewModel(
    private val tagRepository: TagRepository
) : ViewModel() {

    var tags: Flow<PagingData<Tag>> = tagRepository.getTags()
    suspend fun insertTag(tag: Tag) {
        tagRepository.insertTag(tag)
    }
    suspend fun updateTag(tag: Tag) {
        tagRepository.updateTag(tag)
    }

    suspend fun deleteTag(tag: Tag) {
        tagRepository.deleteTag(tag)
    }
}